# -*- coding: utf-8 -*-

%if %%getVar('smb_workgroup', False)
# for Scribe 2.7
    %set %%fqdn_domain = %%ad_domain
    %set %%dc_domain = 'addc.' + %%fqdn_domain
    %set %%password_file = '/etc/eole/private/eole-workstation-manager.password'
%else
# for Seth
    %set %%fqdn_domain = %%ad_realm
    %set %%dc_domain = %%nom_domaine_machine
    %set %%password_file = %%container_path_domaine + '/etc/eole/private/eole-workstation-manager.password'
%end if

%set %%basedn = 'dc=' + %%custom_join(%%fqdn_domain.split('.'), ',dc=')
ad:

  dc: %%dc_domain
  realm: %%fqdn_domain
  join_username: eole-workstation-manager
  join_password: %include %%password_file

  sssd:
    config:
      use_fully_qualified_names: false
